TextToSpeechUnloadUserDictionary(3dtk)

Name

TextToSpeechUnloadUserDictionary - Unloads a user dictionary.

Syntax
    MMRESULT TextToSpeechUnloadUserDictionary (LPTTS_HANDLE_T phTTS)

Parameters

LPTTS_HANDLE_T phTTS
    Specifies an opened text-to-speech handle.

Description

This function unloads a user dictionary. You must unload any previously loaded dictionary before you can load a new one. That is, only one user dictionary can be loaded at a time.

A user dictionary is created using the User Dictionary Build tool.

Return Values

This function returns a value of type MMRESULT. The value is zero if the function is successful. The return value is one of the following constants:

Constant | Description
MMSYSERR_NOERROR
 | Normal successful completion (zero).
MMSYSERR_INVALHANDLE
 | The text-to-speech handle was invalid.

See Also

Dictionary Functions (Linux and UNIX) (DECtalk Software Programmer's Guide)

TextToSpeechLoadUserDictionary(3dtk)